Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class Ed448PublicKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.Ed448PublicKeyParameters

All Implemented Interfaces:
  CipherParameters

public final class Ed448PublicKeyParameters
extends AsymmetricKeyParameter

Field Summary
`static int` | `KEY_SIZE`

Constructor Summary
`Ed448PublicKeyParameters(byte[] buf)`
`Ed448PublicKeyParameters(byte[] buf, int off)`
`Ed448PublicKeyParameters(Ed448.PublicPoint publicPoint)`
`Ed448PublicKeyParameters(java.io.InputStream input)`

Method Summary
`void` | `encode(byte[] buf, int off)`
`byte[]` | `getEncoded()`
`boolean` | `verify(int algorithm, byte[] ctx, byte[] msg, int msgOff, int msgLen, byte[] sig, int sigOff)`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_SIZE

    public static final int KEY_SIZE

See Also:
  Constant Field Values

Constructor Detail

### Ed448PublicKeyParameters

    public Ed448PublicKeyParameters(byte[] buf)

### Ed448PublicKeyParameters

    public Ed448PublicKeyParameters(byte[] buf,
                                    int off)

### Ed448PublicKeyParameters

    public Ed448PublicKeyParameters(java.io.InputStream input)
                             throws java.io.IOException

### Ed448PublicKeyParameters

    public Ed448PublicKeyParameters(Ed448.PublicPoint publicPoint)

Method Detail

### encode

    public void encode(byte[] buf,
                       int off)

### getEncoded

    public byte[] getEncoded()

### verify

    public boolean verify(int algorithm,
                          byte[] ctx,
                          byte[] msg,
                          int msgOff,
                          int msgLen,
                          byte[] sig,
                          int sigOff)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD